python-flake8 (4.0.1-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks on python3-flake8-polyfill and python3-pytest-flake8

 -- Scott Talbert <swt@techie.net>  Mon, 21 Feb 2022 13:43:08 -0500

python-flake8 (4.0.1-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + flake8: Drop versioned constraint on python-flake8 in Replaces.
    + flake8: Drop versioned constraint on python-flake8 in Breaks.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-entrypoints,
      python3-mccabe, python3-mock and python3-setuptools.
    + python3-flake8: Drop versioned constraint on python3-mccabe and
      python3-setuptools in Depends.

  [ Scott Talbert ]
  * Update to new upstream release 4.0.1 (Closes: #1002319)
  * Update d/watch version to 4
  * Update Standards-Version to 4.6.0 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Fri, 18 Feb 2022 10:20:01 -0500

python-flake8 (3.8.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Remove Barry Warsaw from Uploaders as he has retired from Debian
    (Closes: #970178).

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Oct 2020 09:39:49 +0100

python-flake8 (3.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Bump required version of pyflakes and pycodestyle.
  * Use pytest to run tests during build.
  * Bump debhelper compat level to 13.
  * Bump standards version to 4.5.0.
  * Set Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 12:26:38 +0200

python-flake8 (3.7.9-2) unstable; urgency=medium

  * Drop python2 support; Closes: #937757

 -- Sandro Tosi <morph@debian.org>  Sat, 15 Feb 2020 13:08:53 -0500

python-flake8 (3.7.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Thu, 31 Oct 2019 14:17:45 +0100

python-flake8 (3.7.8-3) unstable; urgency=medium

  * d/tests: Test Python 2 modules, not only Python 3 CLI
  * Add python-functools32 to python-flake8 dependencies

 -- Ondřej Nový <onovy@debian.org>  Thu, 18 Jul 2019 14:38:52 +0200

python-flake8 (3.7.8-2) unstable; urgency=medium

  * Add python-typing to python-flake8 dependencies

 -- Ondřej Nový <onovy@debian.org>  Wed, 17 Jul 2019 20:46:54 +0200

python-flake8 (3.7.8-1) unstable; urgency=medium

  * New upstream (Closes: #925355)
  * Rename d/tests/control.autodep8 to d/tests/control.
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump standards version to 4.4.0 (no changes)
  * d/patches: Rebase for new release
  * d/control: Arrange versioned dependencies for new upstream release
  * Add python-functools32 and python-typing to B-D

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 18:38:22 +0200

python-flake8 (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
   + Bump pyflakes dependency to >= 2.0.0.
  * Rebased patches for new upstream release.
  * d/patches/0002-Add-hooks-for-new-pycodestyle-checks: Drop, applied
    upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 18 Nov 2018 10:43:54 +0000

python-flake8 (3.5.0-2) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Backport compatibility with pycodestyle 2.4.0 from upstream
    (From Ubuntu)
  * d/rules: Don't run tests with nocheck build profile
  * Add upstream metadata
  * Bump standards version to 4.2.1 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Fri, 28 Sep 2018 11:09:01 +0200

python-flake8 (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/clean: Don't remove tox.ini
  * Fix typo in manpage

 -- Ondřej Nový <onovy@debian.org>  Sun, 10 Dec 2017 00:31:12 +0100

python-flake8 (3.4.1-3) unstable; urgency=medium

  * Uploading to unstable (Closes: #877940)
  * Standards-Version is 4.1.1 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Sun, 05 Nov 2017 20:46:51 +0100

python-flake8 (3.4.1-2) experimental; urgency=medium

  * Drop zigo from uploaders because he requested it
  * Add python-configparser and python-enum34 back to depends

 -- Ondřej Nový <onovy@debian.org>  Mon, 07 Aug 2017 20:47:30 +0200

python-flake8 (3.4.1-1) experimental; urgency=medium

  * New upstream release
  * Rebased patches for new upstream release
  * Bump required version of python{,3}-setuptools
  * Standards-Version is 4.0.0.4 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Fri, 04 Aug 2017 20:25:31 +0200

python-flake8 (3.3.0-1) experimental; urgency=medium

  * New upstream release
  * Bump required version of python{,3}-mccabe and python{,3}-pyflakes
  * d/copyright
    - Bump copyright years
    - Change source URL to new location
  * Enable autopkgtest-pkg-python testsuite
  * d/tests: Install only flake8 tool, not all binary packages

 -- Ondřej Nový <onovy@debian.org>  Sun, 09 Apr 2017 13:32:10 +0200

python-flake8 (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bumped required version of mock to 2.0.0

 -- Ondřej Nový <onovy@debian.org>  Fri, 25 Nov 2016 20:04:58 +0100

python-flake8 (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * d/patches/0001-Removed-pytest-options.patch:
    Removed, applied upstream
  * d/patches/0003-Add-previous_unindented_logical_line-attribute.patch:
    Removed, applied upstream
  * Removed dfsg rebuild of orig tarball, not needed anymore
  * d/control: Fixed deps for new release
  * d/flake8.1: Updated for new release

 -- Ondřej Nový <onovy@debian.org>  Thu, 17 Nov 2016 14:48:25 +0100

python-flake8 (3.0.4+dfsg1-4) unstable; urgency=medium

  * Bumped debhelper version to 10
  * Added patch to work with pycodestyle 2.1.0 (Closes: #843673)

 -- Ondřej Nový <onovy@debian.org>  Tue, 08 Nov 2016 19:51:43 +0100

python-flake8 (3.0.4+dfsg1-3) unstable; urgency=medium

  * Remove upper constrains from upstream requirements (Closes: #843036)

 -- Ondřej Nový <onovy@debian.org>  Thu, 03 Nov 2016 21:47:42 +0100

python-flake8 (3.0.4+dfsg1-2) unstable; urgency=medium

  * d/source/options: Ignore egg-info
  * d/rules: clean target fixed for new release
  * Require to install same version of python3-flake8 and flake8
    (Closes: #837169)

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Sep 2016 19:46:40 +0200

python-flake8 (3.0.4+dfsg1-1) unstable; urgency=medium

  [ Barry Warsaw ]
  * d/patches/update-pyflakes-version.patch: Removed; applied upstream.

  [ Ondřej Nový ]
  * New upstream release.
  * d/{control,copyright}: Use my @debian.org email address
  * Generate changelog from docs/source/release-notes/*.rst
  * Bumped required Python version to 2.7 / 3.4
  * Rearranged build depends and depends for new upstream version
  * Renaming pep8 to pycodestyle
  * d/rules: Cleanup and use pybuild
  * Removed prebuilded docs from orig tarball
  * d/copyright: Fixed for new upstream release
  * Updated manpage for new release

 -- Ondřej Nový <onovy@debian.org>  Thu, 11 Aug 2016 20:40:21 +0200

python-flake8 (2.5.4-3) unstable; urgency=medium

  * d/patches/update-pyflakes-version.patch: Update for pyflakes 1.2.x.
    (Closes: #824195)
  * d/control:
    - Add myself to Uploaders.
    - Bump Standards-Version with no other changes needed.

 -- Barry Warsaw <barry@debian.org>  Fri, 13 May 2016 15:03:07 -0400

python-flake8 (2.5.4-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/update-pyflakes-version.patch: Allow for pyflakes 1.1.
  * debian/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Mon, 14 Mar 2016 13:44:11 -0400

python-flake8 (2.5.4-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Team upload
  * New upstream release
  * Update of the standard version
  * Update of the homepage
  * Depends on python-pyflakes/python3-pyflakes instead of pyflakes
    (Closes: #804741)
  * Run the test suite when building the package
  * Cherry-pick Ubuntu changes

  [ Jackson Doak ]
  * debian/tests/tools: Call flake8 on some actual files (setup.py as a
    known-good one, and a synthetic one for a known-bad one) instead of
    without arguments on an empty directory. Closes: #742482

  [ Ondřej Nový ]
  * Standards-Version is 3.9.7 now (no change).
  * Vcs-Git changed to https.
  * Added python-pyflakes and dh-python to Build-Depend.
  * Removed useless XS-Testsuite.
  * Added myself to d/copyright.
  * Added myself as uploader.
  * d/copyright: Cleanup.
  * Removed python-mock from Debian tests dependency - it's not needed.
  * Moved /usr/bin/flake8 to solo package.
  * Changed architecture of python3-flake8 to all.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Mar 2016 18:32:47 +0100

python-flake8 (2.2.2-1ubuntu4) xenial; urgency=medium

  * Add explicit dependency on setuptools. LP: #1509396.
  * python-flake8: (Build)-Depend on python-pep8 instead of pep8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 17:42:39 +0200

python-flake8 (2.2.2-1ubuntu2) wily; urgency=medium

  * d/patches/py35-compat.patch: Added for Python 3.5 compatibility.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 15 Oct 2015 16:56:34 -0400

python-flake8 (2.2.2-1ubuntu1) vivid; urgency=medium

  * Merge from Debian testing. Remaining changes:
    - debian/rules: Run tests during package build.
    - debian/tests/tools: Call flake8 on some actual files (setup.py as a
      known-good one, and a synthetic one for a known-bad one) instead of
      without arguments on an empty directory.

 -- Liam Young <liam.young@canonical.com>  Fri, 23 Jan 2015 17:50:41 +0000

python-flake8 (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control: update Standards-Version to 3.9.5.0 (no change)
  * debian/rules: remove unused PY2_PACAKGE_NAME and PY3_PACKAGE_NAME
  * debian/control: change architecture to 'arch: all' since there are
    no binary or otherwise arch-specific executables in this package
  * debian/control: correct dependencies for python3-flake8 (python3-pep8
    instead of pep8, remove python3-flake8)
  * debian/copyright: add current upstream maintainer copyright
  * debian/control: add Suggest: python-mock to python-flake8, this is
    required to run the tests
  * debian/tests/control: install python-mock to let tests run, note that
    tests are currently relying on the executable which is currently
    python2-only so no similar changes are made to the python3 side of the
    package
  * debian/control: bump dependencies as required by flake8

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Wed, 16 Jul 2014 16:54:57 +0200

python-flake8 (2.1.0-2) unstable; urgency=medium

  * Added debian/py{3,}dist-overrides for pyflakes.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Apr 2014 15:59:54 +0000

python-flake8 (2.1.0-1ubuntu2) utopic; urgency=medium

  * debian/rules: Run tests during package build.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jul 2014 08:10:40 -0400

python-flake8 (2.1.0-1ubuntu1) trusty; urgency=medium

  * debian/tests/tools: Call flake8 on some actual files (setup.py as a
    known-good one, and a synthetic one for a known-bad one) instead of
    without arguments on an empty directory.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 24 Mar 2014 10:28:25 +0100

python-flake8 (2.1.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Add manpage. Closes: #722704
  * debian/control:
    - Update versioned depends
  * Make basic autopkgtest

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 05 Nov 2013 16:52:26 +1100

python-flake8 (2.0-2) unstable; urgency=low

  * Team upload.
  * Add additional build-dependencies, such that dh_python2|3 can
    correctly resolve python modules -> debian package name
    dependencies. (Closes: #725236)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 03 Oct 2013 09:09:42 +0100

python-flake8 (2.0-1) unstable; urgency=low

  * Initial release (Closes: #661044)

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Jun 2013 05:42:51 +0000
